mbed_host_tests.host_tests.hello_auto.HelloTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.hello_auto.HelloTest:

## Public Member Functions

| setup (self)
| result (self)
| teardown (self)

## Static Public Attributes

str | HELLO_WORLD = "Hello World"

## Protected Member Functions

| _callback_hello_world (self, key, value, timestamp)

## Protected Attributes

| _callback_hello_world

## Detailed Description

Definition at line 20 of file hello_auto.py.

## Member Function Documentation

## _callback_hello_world()

mbed_host_tests.host_tests.hello_auto.HelloTest._callback_hello_world | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 25 of file hello_auto.py.

## result()

mbed_host_tests.host_tests.hello_auto.HelloTest.result | ( |  | self | ) |

Definition at line 32 of file hello_auto.py.

## setup()

mbed_host_tests.host_tests.hello_auto.HelloTest.setup | ( |  | self | ) |

Definition at line 29 of file hello_auto.py.

## teardown()

mbed_host_tests.host_tests.hello_auto.HelloTest.teardown | ( |  | self | ) |

Definition at line 35 of file hello_auto.py.

## Member Data Documentation

## _callback_hello_world

mbed_host_tests.host_tests.hello_auto.HelloTest._callback_hello_world

protected

Definition at line 30 of file hello_auto.py.

## HELLO_WORLD

str mbed_host_tests.host_tests.hello_auto.HelloTest.HELLO_WORLD = "Hello World"

static

Definition at line 21 of file hello_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/hello_auto.py